Results 1 to 14 of 14

Thread: Invalid command 'php_admin_flag', perhaps misspelled or defined by a module not ...

  1. #1
    Join Date
    Aug 2019
    Posts
    4

    Question Invalid command 'php_admin_flag', perhaps misspelled or defined by a module not ...

    Hi
    on the
    Code:
    Dashboard / Custom HTTPD Configurations / View Domain Configuration
    control panel path i get Syntax Error contain:
    AH00526: Syntax error on line 15 of /usr/local/directadmin/data/users/admin/httpd.conf:
    Invalid command 'php_admin_flag', perhaps misspelled or defined by a module not included in the server configuration.

    line 15 is:
    Code:
    php_admin_flag engine ON
    how can fix it ?

    (sorry for bad english)

  2. #2
    Join Date
    Aug 2006
    Location
    LT, EU
    Posts
    8,000
    I think you have php mode set which doesn't support php_admin_flag. Please check if the following solves it:
    Code:
    cd /usr/local/directadmin/custombuild
    ./build update
    ./build php
    ./build rewrite_confs
    Martynas Bendorius
    MB Martynas IT. Professional server management company. Official DirectAdmin, CloudLinux, LiteSpeed and Comodo partners.

  3. #3
    Join Date
    Aug 2019
    Posts
    4
    Quote Originally Posted by smtalk View Post
    I think you have php mode set which doesn't support php_admin_flag. Please check if the following solves it:
    Code:
    cd /usr/local/directadmin/custombuild
    ./build update
    ./build php
    ./build rewrite_confs
    thank you but dosent fix.
    any other idea ?

  4. #4
    Join Date
    Aug 2006
    Location
    LT, EU
    Posts
    8,000
    Quote Originally Posted by mt92 View Post
    thank you but dosent fix.
    any other idea ?
    Maybe custom template used there then? A support ticket on this would be great
    Martynas Bendorius
    MB Martynas IT. Professional server management company. Official DirectAdmin, CloudLinux, LiteSpeed and Comodo partners.

  5. #5
    Join Date
    Aug 2019
    Posts
    4
    Quote Originally Posted by smtalk View Post
    Maybe custom template used there then? A support ticket on this would be great
    there is no custom template used.
    just fresh install of directadmin and LightSpeed.

  6. #6
    Join Date
    Aug 2006
    Location
    LT, EU
    Posts
    8,000
    LiteSpeed relies on Apache configtest (httpd -t), and it seems to fail on your server due to no apache module understanding php_admin_value directives.
    Martynas Bendorius
    MB Martynas IT. Professional server management company. Official DirectAdmin, CloudLinux, LiteSpeed and Comodo partners.

  7. #7
    Join Date
    Dec 2016
    Posts
    10
    Hello,
    I have the same problem on all installations with litespeed

  8. #8
    We've added an <IfModule LiteSpeed> wrap around the php_admin_value/php_admin_flag settings:
    https://directadmin.com/features.php?id=2455

    Please try the pre-release binaries and let us know if you have any further issues

    John

  9. #9
    Join Date
    Aug 2006
    Location
    LT, EU
    Posts
    8,000
    Stable 1.58.1 can be used for this now.
    Martynas Bendorius
    MB Martynas IT. Professional server management company. Official DirectAdmin, CloudLinux, LiteSpeed and Comodo partners.

  10. #10
    Join Date
    Aug 2019
    Posts
    2
    Ive updated to 1.58.1 and see the changes in the virtual_host.confs and have rebuilt the confs yet I still seem to get this error every single time.


    AH00526: Syntax error on line 15 of /usr/local/directadmin/data/users/adbtech/httpd.conf:
    Invalid command 'php_admin_flag', perhaps misspelled or defined by a module not included in the server configuration


    Directadmin install with litespeed.

  11. #11
    Join Date
    Aug 2006
    Location
    LT, EU
    Posts
    8,000
    Please check if you have any files in /usr/local/directadmin/data/templates/custom directory.
    Martynas Bendorius
    MB Martynas IT. Professional server management company. Official DirectAdmin, CloudLinux, LiteSpeed and Comodo partners.

  12. #12
    Join Date
    Aug 2019
    Posts
    2
    Quote Originally Posted by smtalk View Post
    Please check if you have any files in /usr/local/directadmin/data/templates/custom directory.
    I do but after the update I copied the new virtual_host configs in place of the custom ones and replaced the Options line with the FollowSymLinks command we were using in the custom files. These custom files do have and show the new lite speed module lines in all the httpd config files as expected but we still get the error.

  13. #13
    Join Date
    Aug 2006
    Location
    LT, EU
    Posts
    8,000
    Quote Originally Posted by bbrader View Post
    I do but after the update I copied the new virtual_host configs in place of the custom ones and replaced the Options line with the FollowSymLinks command we were using in the custom files. These custom files do have and show the new lite speed module lines in all the httpd config files as expected but we still get the error.
    I guess some of the files might not have the ifmodule directives. A ticket on this with access details would be great
    Martynas Bendorius
    MB Martynas IT. Professional server management company. Official DirectAdmin, CloudLinux, LiteSpeed and Comodo partners.

  14. #14
    Join Date
    Aug 2019
    Posts
    4
    Quote Originally Posted by DirectAdmin Support View Post
    We've added an <IfModule LiteSpeed> wrap around the php_admin_value/php_admin_flag settings:
    https://directadmin.com/features.php?id=2455

    Please try the pre-release binaries and let us know if you have any further issues

    John
    thank you, my problem solved.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •